# This file created by conda-build 3.16.1
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/747dd520-0d1d-4c94-6fd6-8a75e03a9e0d/volume/rsync-recipes/libtheora-1.1.1-on-osx, last modified Sun Oct 14 00:43:50 2018
# ------------------------------------------------

package:
    name: libtheora
    version: 1.1.1
source:
    fn: libtheora-1.1.1.tar.bz2
    sha256: b6ae1ee2fa3d42ac489287d3ec34c5885730b1296f0801ae577a35193d3affbc
    url: http://downloads.xiph.org/releases/theora/libtheora-1.1.1.tar.bz2
build:
    number: '1'
    run_exports:
        - libtheora >=1.1.1,<2.0a0
    string: hb4e5f40_1
requirements:
    build:
        - cctools 895 h7512d6f_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - compiler-rt 4.0.1 h5487866_0
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libiconv 1.15 hdd342a3_7
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
        - make 4.2.1 h3efe00b_1
        - pkg-config 0.29.2 h3efe00b_8
    host:
        - libogg 1.3.2 h1de35cc_0
        - libpng 1.6.34 he12f830_0
        - libvorbis 1.3.5 h1de35cc_1
        - zlib 1.2.11 hf3cbc9b_2
    run:
        - libogg >=1.3.2,<2.0a0
        - libpng >=1.6.34,<1.7.0a0
        - libvorbis >=1.3.5,<2.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - test -f ${PREFIX}/lib/libtheora.a
        - test -f ${PREFIX}/lib/libtheora.dylib
        - test -f ${PREFIX}/lib/libtheoradec.a
        - test -f ${PREFIX}/lib/libtheoradec.dylib
        - test -f ${PREFIX}/lib/libtheoraenc.a
        - test -f ${PREFIX}/lib/libtheoraenc.dylib
about:
    home: https://theora.org
    license: BSD 3-Clause
    license_family: BSD
    license_file: COPYING
    summary: Theora is a free and open video compression format from the Xiph.org
        Foundation.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - bgruening
        - dschreij
